(*******************************************************************)
(* Bildschirm aus Datei laden und drucken                          *)
(*******************************************************************)

PROGRAM PrintScreenFile;

(*$I KERNEL.INC*)
(*$I HARDCOPY.INC*)
(*$I DISKETTE.INC*)

CONST
    bell  = #7;

VAR
    ch        : CHAR;
    name      : Strg_14;
    direction : CHAR;

FUNCTION GetFilename: CHAR;
VAR z: BYTE;
    jn: CHAR;
BEGIN
  Write('(Die Endung .PIC wird automatisch angeh{ngt): ');
  REPEAT
    Write('Dateiname: ');
    Readln(name);
    FOR z:=1 TO Length(name) DO name(.z.) := UpCase(name(.z.));
    name := name + '.PIC';
    Writeln;
    Writeln('Name: ',name);
    Writeln;
    Writeln('Korrekt? (J=Ja N=Nein X=Ende)');
    Read(kbd,jn); Writeln;
    jn:=UpCase(jn);
    IF jn='X' THEN ch:='X';
  UNTIL (jn='J') OR (jn='X');

  GetFilename:=jn;
END;


PROCEDURE Laden;
BEGIN
  ClrScr;
  LoadScreen(name);
  Write(bell);
  REPEAT UNTIL KeyPressed;
END;


BEGIN (* Hauptprogramm *)
  direction := 'H';
  GraphInit;
  REPEAT
    ClrScr;
    Writeln('Bildschirmdatei laden, anzeigen und drucken');
    Writeln;
    Writeln('Wenn die Datei vollst{ndig geladen ist, ert|nt ein Signal. Dann bitte eine Taste dr}cken,');
    Writeln('damit der Druckvorgang startet.');
    Writeln;

    Writeln('A - Nur anzeigen, nicht drucken');
    Writeln('D - Direction (Druckrichtung) {ndern : ', direction);
    Writeln('P - Print (Drucken)');
    Writeln;
    Writeln('X - Ende');

    Read(kbd,ch);
    ch := UpCase(ch);
    Writeln;

    IF (ch='A') OR (ch='P') THEN BEGIN
      Writeln('Wie hei~t die Bilddatei, die geladen werden soll?');
      IF GetFilename='J' THEN BEGIN
        Laden;
        IF ch='P' THEN
          Hardcopy(0,0,719,247,1,direction);
      END;
    END
    ELSE
      IF ch='D' THEN
        IF direction='H' THEN direction:='V'
        ELSE direction:='H';
  UNTIL ch = 'X';

  ShowCursor;
END.
